<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package goldly
 */

$goldly_grocery_special_product_number = get_theme_mod( 'special_product_number', 4 );

?>
<div class="special_product_info">
	<div class="special_product_data">
		<h2><?php echo esc_html(get_theme_mod('goldly_display_special_product_main_title','Special Product')); ?></h2>
		<p><?php echo esc_html(get_theme_mod('goldly_display_special_product_main_description')); ?></p>
	</div> 
	<div class="special_product_section">
		<div class="specialproduct_section_info">
			<?php
				for ( $i = 1; $i <= $goldly_grocery_special_product_number ; $i++ ) {
					if($i==3){						
						?>
						<div class="productr_info">								
							<div class="product_special_info">
								<a href="<?php echo esc_attr(get_theme_mod('special_product_title_link','#')); ?>">
									<div class="product_img">
										<?php if(get_theme_mod('special_product_image')){ ?>
											<img src="<?php echo esc_attr(get_theme_mod('special_product_image')); ?>">
										<?php } else{ ?>
											<img src="<?php echo esc_attr(get_template_directory_uri()); ?>/assets/images/no-thumb.jpg" alt="The Last of us">
										<?php

										} ?>
									</div>
									<div class="product_titles">
										<h4><?php echo esc_html(get_theme_mod('special_product_title')); ?></h4>
									</div>
								</a>
							</div>
						</div>	
						<?php
					}
					?>					
					<div class="special_product_title block<?php echo esc_attr($i); ?>">
						<h3><?php echo esc_html(get_theme_mod('special_product_title_' . $i)); ?></h3>
						<p><?php  echo esc_html(get_theme_mod('special_product_description_' . $i));?></p>
					</div>
				<?php } ?>
		</div>
	</div>
</div>